Webspace Daten abrufen

GET /api/webspace/:internal_id

URL Variablen

Name Beschreibung
internalID internal_id des Webspaces, abrufbar über den /api/account/services Endpunkt, oder in URL der Verwaltung des Webspaces im Control Panel ersichtlich

Response (application/json)

{
    "status": "success",
    "message": "information about the webspace is listed below",
    "data": {
        "accounting": {
            "buy_date": "2023-04-04T00:17:33.000Z",
            "buy_price": 1.35,
            "renew_date": "2025-01-30T00:00:00.000Z",
            "renew_price": 1.5,
            "renew_interval": 30,
            "auto_renew": false
        },
        "resources": {
            "domains": 1,
            "subdomains": 5,
            "emails": 3,
            "databases": 3,
            "ssd_storage": 5,
            "traffic": 500,
            "memory_limit": 128,
            "ip_address": "45.84.196.164"
        },
        "access": {
            "host": "plesk.24fire.de:8443",
            "email": "l.kiefer@24fire-gmbh.de",
            "username": "cathalina9652",
            "password": "***********"
        }
    }
}

cURL

curl "https://manage.24fire.de/api/webspace/:internal_id" -X GET -H "Content-Type: application/x-www-form-urlencoded" -H "X-Fire-Apikey: [Dein API-Key]"

Anfrage testen